# $Revision: 1.53.2.3 $, $Date: 2006/08/02 17:12:33 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	General Window Manager interfacing for GNOME utilities
Summary(pl):	Interfejs General Window Manager dla narzdzi GNOME
Name:		libwnck
Version:	2.14.3
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libwnck/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	5796c0c26c5dfbad6d4fdf77858feae6
Patch0:		%{name}-compiz.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.8.18
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	gtk-doc-automake
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel >= 0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
General Window Manager interfacing for GNOME utilities. This library
is a part of the GNOME 2 platform.

%description -l pl
Oglny interfejs zarzdcy okien dla narzdzi GNOME. Ta biblioteka jest
czci platformy GNOME 2.

%package devel
Summary:	Header files and documentation for libwnck
Summary(pl):	Pliki nagwkowe i dokumentacja dla libwnck
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.8.18
Requires:	gtk-doc-common
Requires:	startup-notification-devel >= 0.8

%description devel
Header, docs and development libraries for libwnck.

%description devel -l pl
Pliki nagwkowe i dokumentacja do libwnck.

%package static
Summary:	Static libwnck libraries
Summary(pl):	Statyczne biblioteki libwnck
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libwnck libraries.

%description static -l pl
Statyczna wersja bibliotek libwnck.

%prep
%setup -q
%patch0 -p0

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/%{name}-1.0
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwnck.spec,v $
Revision 1.53.2.3  2006/08/02 17:12:33  freetz
- 2.14.3

Revision 1.53.2.2  2006/05/31 19:18:35  freetz
- 2.14.2, GNOME 2.14.2 deps

Revision 1.53.2.1  2006/05/15 14:23:16  baggins
- merged from HEAD

Revision 1.56  2006/04/24 18:50:01  wolf
- patches for compiz
- rel 2

Revision 1.55  2006/04/10 17:07:43  freetz
- 2.14.1

Revision 1.54  2006/04/02 06:59:37  freetz
- merged from DEVEL

Revision 1.52.2.5  2006/03/13 21:13:31  freetz
- 2.14.0

Revision 1.52.2.4  2006/02/28 08:34:42  freetz
- 2.13.92

Revision 1.52.2.3  2006/02/13 20:38:46  freetz
- 2.13.91

Revision 1.52.2.2  2006/01/30 18:13:52  freetz
- 2.13.90

Revision 1.52.2.1  2006/01/29 08:12:09  freetz
- 2.13.5

Revision 1.53  2006/02/08 16:34:02  freetz
- 2.12.3

Revision 1.52  2005/11/28 18:44:12  freetz
- 2.12.2

Revision 1.51  2005/11/20 14:33:19  qboosh
- bcond header

Revision 1.50  2005/11/20 14:24:38  adgor
- apidocs bcond

Revision 1.49  2005/10/04 18:17:12  freetz
- 2.12.1

Revision 1.48  2005/09/05 17:43:54  freetz
- merged from DEVEL

Revision 1.46.2.5  2005/09/05 17:42:06  freetz
- 2.12.0

Revision 1.46.2.4  2005/08/22 17:15:19  aflinta
- version 2.11.92

Revision 1.46.2.3  2005/08/21 08:02:06  wiget
- rebuild with new cairo, rel 2

Revision 1.46.2.2  2005/08/09 10:44:46  paladine
- updated to 2.11.91 (note: new soname)

Revision 1.46.2.1  2005/07/03 14:40:34  freetz
- GNOME 2.11.x development series: 2.11.4

Revision 1.47  2005/07/24 07:50:29  freetz
- 2.10.3

Revision 1.46  2005/06/28 20:09:26  freetz
- 2.10.2

Revision 1.45  2005/03/07 22:36:07  paladine
- merged from DEVEL

Revision 1.44.2.4  2005/03/07 19:48:07  wiget
- updated o 2.10.0

Revision 1.44.2.3  2005/02/28 21:11:26  paladine
- updated to 2.9.92.1 (soname changed)

Revision 1.44.2.2  2005/02/08 13:25:45  grzegol
- updated to 2.9.91

Revision 1.44.2.1  2005/02/06 20:47:35  grzegol
- updated to 2.9.90

Revision 1.44  2004/10/12 18:12:57  freetz
- 2.8.1, tested, ready for STBR

Revision 1.43  2004/09/28 17:55:16  grzegol
- updated to 2.8.0.1

Revision 1.42  2004/09/15 09:33:32  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.41  2004/08/17 13:34:04  ankry
- rel. 2 to rebuild

Revision 1.40.2.3  2004/08/30 16:18:39  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install
- enabled gtk-doc

Revision 1.40.2.2  2004/08/17 17:01:52  aflinta
- up to version 2.7.91

Revision 1.40.2.1  2004/08/03 17:47:12  grzegol
- updated to 2.7.90

Revision 1.40  2004/07/06 11:10:54  grzegol
- updated to 2.6.2.1

Revision 1.39  2004/06/14 21:38:26  grzegol
- updated to 2.6.2

Revision 1.38  2004/04/19 21:11:27  grzegol
- updated to 2.6.1

Revision 1.37  2004/03/31 12:50:06  grzegol
- updated to 2.6.0.1

Revision 1.36  2004/03/22 22:56:38  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.35  2003/12/08 16:56:19  wiget
- not this branch, reverted
Revision 1.34.2.3  2004/02/24 19:18:33  grzegol
- rebuild also lt/al/am
- strict internal deps

Revision 1.34.2.2  2004/02/24 18:28:19  aflinta
- up to version 2.5.90

Revision 1.34.2.1  2003/12/10 15:27:41  wiget
- updated to 2.5.1

Revision 1.34  2003/12/08 16:04:45  wiget
- up to 2.5.0 snap 20031208

Revision 1.33  2003/10/14 10:57:05  qboosh
- -devel deps, BR: pkgconfig,startup-notification-devel

Revision 1.32  2003/09/10 19:58:52  aflinta
- version 2.4.0.1

Revision 1.31  2003/09/09 04:44:26  aflinta
- version 2.4.0

Revision 1.30  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.29  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/20 19:20:18  aflinta
- simplified

Revision 1.25  2003/05/20 19:18:11  aflinta
- verison 2.3.1

Revision 1.24  2003/03/27 07:37:50  aflinta
- updated to version 2.3.0

Revision 1.23  2003/02/06 08:37:40  trojan
- updated to 2.2.1

Revision 1.22  2003/01/21 07:53:47  aflinta
- updated to version 2.2.0

Revision 1.21  2003/01/10 08:13:43  aflinta
- updated to version 2.1.90

Revision 1.20  2002/12/04 19:45:29  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.19  2002/12/03 08:27:04  aflinta
- updated to version 2.1.5

Revision 1.18  2002/11/25 14:17:08  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/11/03 23:49:57  aflinta
- updated to version 2.1.3

Revision 1.16  2002/10/24 11:21:43  malekith
- release 1

Revision 1.15  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/28 20:50:44  aflinta
- updated to version 2.1.1 but NFY, if so, release will be 1

Revision 1.13  2002/08/25 20:38:12  aflinta
- updated to version 0.17

Revision 1.12  2002/08/15 02:31:23  michuz
- updated to 0.16

Revision 1.11  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/06/12 10:42:20  wiget
updated to 0.14

Revision 1.9  2002/06/04 07:03:32  wiget
updated to 0.13

Revision 1.8  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/20 21:33:44  kloczek
- use new %doc packing infrastructure.

Revision 1.6  2002/05/20 21:16:20  kloczek
- updated to 0.12.

Revision 1.5  2002/05/16 21:50:32  kloczek
- updated to 0.10.

Revision 1.4  2002/05/02 19:31:50  kloczek
- updated to 0.9,
- added full regenerate ac/am/lt files (added am15 patch).

Revision 1.3  2002/04/26 13:09:01  michuz
- updated to 0.8

Revision 1.2  2002/04/22 09:52:46  qboosh
- added missing pl descriptions

Revision 1.1  2002/04/17 15:44:01  michuz
- initial release
